/**
 * Utility package for OAS
 */
package com.github.ansell.oas.data;

import org.openrdf.model.URI;

import com.github.ansell.oas.utils.OasConstants;

/**
 * Constants used in DataHandler to indicate the desired operation.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public enum DataHandlerConstants
{
    /**
     * Indicates that the data handler is deleting an item.
     */
    DELETE(OasConstants.URN_TAG_LOGOPERATION_DELETE),
    
    /**
     * Indicates that the data handler is updating an item.
     */
    UPDATE(OasConstants.URN_TAG_LOGOPERATION_UPDATE),
    
    /**
     * Indicates that the data handler is creating an item.
     */
    CREATE(OasConstants.URN_TAG_LOGOPERATION_CREATE),
    
    /**
     * Indicates that the data handler is retrieving an item.
     */
    GET(OasConstants.URN_TAG_LOGOPERATION_GET),
    
    ;
    
    private final URI uri;
    
    DataHandlerConstants(final URI uri)
    {
        this.uri = uri;
    }
    
    public URI getUri()
    {
        return this.uri;
    }
}
