/**
 * 
 */
package com.github.ansell.oas.objects;

import java.util.List;

import org.openrdf.model.URI;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public interface SearchResult
{
    /**
     * 
     * @return A list of labels that are possibly ordered, with the first entry being the most
     *         useful label.
     */
    List<String> getLabels();
    
    /**
     * 
     * @return The OWLOntologyID for the ontology that the search result was derived from, or null
     *         if it was derived from another source.
     */
    Ontology getOntology();
    
    /**
     * 
     * @return The URI representing the result URI
     */
    URI getResultUri();
}
