package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * Interface to enable fetching of counts of the number of annotations referencing the URI of the
 * given annotated object.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface AnnotationCountsByAnnotatedObjectUriResource
{
    /**
     * Generate the HTML representation of this resource.
     */
    @Get("html")
    Representation getHtmlAnnotationCountByAnnotatedObjectUri(Variant variant) throws ResourceException;
    
    /**
     * Generate the RDF representation of this resource.
     */
    @Get(":rdf|rj|json|ttl")
    Representation getRdfAnnotationCountByAnnotatedObjectUri(Variant variant) throws ResourceException;
}