package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * Interface to enable fetching of lists of annotations by the RDF Type of the object being
 * annotated.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface AnnotationsByAnnotatedObjectTypeResource
{
    /**
     * Generate the HTML representation of this resource.
     */
    @Get(":html")
    Representation getHtmlAnnotationsByAnnotatedObjectType(Variant variant) throws ResourceException;
    
    /**
     * Generate the RDF representation of this resource.
     */
    @Get(":rdf|rj|json|ttl")
    Representation getRdfAnnotationsByAnnotatedObjectType(Variant variant) throws ResourceException;
}