package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * Interface to enable fetching of lists of annotations by the URI of the ontology term used in the
 * annotation.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface AnnotationsByOntologyTermUriResource
{
    /**
     * Generate the HTML representation of this resource.
     */
    @Get(":html")
    Representation getHtmlAnnotationsByOntologyTermUri(Variant variant) throws ResourceException;
    
    /**
     * Generate the RDF representation of this resource.
     */
    @Get(":rdf|rj|json|ttl")
    Representation getRdfAnnotationsByOntologyTermUri(Variant variant) throws ResourceException;
}