package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Post;
import org.restlet.resource.ResourceException;

/**
 * Interface for the Ontology Annotation Web Service providing the ability to create and update
 * annotations.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface BulkUpdateAnnotationResource
{
    /**
     * Update the underlying contact according to the given representation.
     * 
     * @return The resulting annotation, including any changes in the URIs.
     */
    @Post(":html")
    Representation postRdfToHtml(Representation entity, Variant variant) throws ResourceException;
    
    /**
     * Update the underlying contact according to the given representation.
     * 
     * @return The resulting annotation, including any changes in the URIs.
     */
    @Post(":rdf|rj|json|ttl")
    Representation postRdfToRdf(Representation entity, Variant variant) throws ResourceException;
    
}