package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.resource.Get;
import org.restlet.resource.Post;
import org.restlet.resource.ResourceException;

/**
 * Creates a new user. If the request is an HTTP GET then it returns an HTML form that can be used
 * to submit with HTTP POST to this web service.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface CreateUserResource
{
    /**
     * Fetch a form that can be used in an HTML application to create a new user.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Get("html")
    Representation getCreateUserHtml(Representation entity) throws ResourceException;
    
    /**
     * Handles POST requests to create a new user.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Post("multipart")
    Representation postCreateUserMultipart(Representation entity) throws ResourceException;
    
}