package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.Post;
import org.restlet.resource.ResourceException;

/**
 * Delete User resource, offering a confirm deletion page for HTTP GET, and an actual delete with
 * HTTP POST.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface DeleteUserResource
{
    /**
     * Deletes a user using an HTTP POST query.
     * 
     */
    @Post
    void deleteUserByPost(Representation entity, Variant variant) throws ResourceException;
    
    /**
     * Retrieve a form that can be used to confirm the deletion of a user in an HTML application.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Get("html")
    Representation getDeletePageHtml(Representation entity) throws ResourceException;
    
}