package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.Post;
import org.restlet.resource.ResourceException;

/**
 * Edit user roles, offering a page containing the current and possible roles for HTTP GET, and an
 * update of the roles with HTTP POST.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface EditUserRolesResource
{
    /**
     * Edit user roles using an HTTP POST query.
     * 
     */
    @Post
    void editUserRolesByPost(Representation entity, Variant variant) throws ResourceException;
    
    /**
     * Retrieve a form that can be used to edit the roles of a user in an HTML application.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Get("html")
    Representation getEditUserRolesPageHtml(Representation entity) throws ResourceException;
    
}