package com.github.ansell.oas.webservice;

import java.util.Collection;

import org.restlet.security.Role;

import com.github.ansell.oas.data.DataHandlerConstants;

public interface OasAction
{
    
    public abstract String getErrorMessage();
    
    DataHandlerConstants getMethod();
    
    /**
     * @return the authRequired
     */
    public abstract boolean isAuthRequired();
    
    public abstract boolean isRoleRequired();
    
    /**
     * Returns true if isRoleRequired() returns true and any of the roles in authenticatedRoles are
     * in the set of roles for this action.
     * 
     * @param authenticatedRoles
     *            The set of roles that the user currently has.
     * @return True if this action requires a role and the collection of authenticated roles matches
     *         one of the roles for this action.
     */
    public abstract boolean matchesForRoles(Collection<Role> authenticatedRoles);
    
}