/**
 * 
 */
package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * A resource used to browser an ontology using HTML, RDF/JSON or RDF/XML.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface OntologyBrowserResource
{
    /**
     * Generate the HTML/RDFa representation of this resource.
     */
    @Get("html")
    Representation getHtml(Representation entity, Variant variant) throws ResourceException;
    
    /**
     * Generate the RDF representation of this resource.
     */
    @Get(":rdf|rj|json|ttl")
    Representation getRdf(Representation entity, Variant variant) throws ResourceException;
    
}
