package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.ResourceException;

/**
 * Interface for the Ontology Annotation Web Service providing the ability to search over
 * annotations
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface SearchAnnotationResource
{
    /**
     * Generate the HTML representation of this resource.
     */
    @Get(":html")
    Representation getHtml(Variant variant) throws ResourceException;
    
    /**
     * Generate the RDF representation of this resource.
     */
    @Get(":rdf|rj|json|ttl")
    Representation getRdf(Variant variant) throws ResourceException;
}