package com.github.ansell.oas.webservice;

import org.restlet.representation.Representation;
import org.restlet.representation.Variant;
import org.restlet.resource.Get;
import org.restlet.resource.Post;
import org.restlet.resource.ResourceException;

/**
 * Update User resource, offering a page containing details for HTTP GET, and an update with HTTP
 * POST.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public interface UpdateUserResource
{
    /**
     * Retrieve a form that can be used to update the details of a user in an HTML application.
     * 
     * @param entity
     * @return
     * @throws ResourceException
     */
    @Get("html")
    Representation getUpdatePageHtml(Representation entity) throws ResourceException;
    
    /**
     * Updates a users details using an HTTP POST query.
     * 
     * @return
     * 
     */
    @Post
    Representation updateUserByPost(Representation entity, Variant variant) throws ResourceException;
    
}